Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.cls
Class LogicClassDefinitionWidgetType

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.cls.LogicClassDefinitionWidgetType

All Implemented Interfaces:
  SwitchableType

    public class LogicClassDefinitionWidgetType

extends Object
implements SwitchableType

Author:
  Holger Knublauch

Constructor Summary
`LogicClassDefinitionWidgetType()`

Method Summary
`String` | `getButtonText()`
`Class` | `getWidgetClassType()`
`boolean` | `isSufficientlyExpressive(RDFSNamedClass namedClass)` Indicates that this type can display all classes.
`boolean` | `isSuitable(OWLModel owlModel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogicClassDefinitionWidgetType

    public LogicClassDefinitionWidgetType()

Method Detail

### getButtonText

    public String getButtonText()

  Specified by:
    `getButtonText` in interface `SwitchableType`

### getWidgetClassType

    public Class getWidgetClassType()

  Specified by:
    `getWidgetClassType` in interface `SwitchableType`

### isSufficientlyExpressive

    public boolean isSufficientlyExpressive(RDFSNamedClass namedClass)

  Indicates that this type can display all classes.

  Specified by:
    `isSufficientlyExpressive` in interface `SwitchableType`
  Parameters:
    `namedClass` - the class to check
  Returns:
    true

### isSuitable

    public boolean isSuitable(OWLModel owlModel)

  Specified by:
    `isSuitable` in interface `SwitchableType`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.